package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.renderWorker.entity.RenderWorkerEntity;
import com.ycwl.basic.model.pc.renderWorker.req.RenderWorkerReqQuery;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 15:07
 */
public interface RenderWorkerService {
    ApiResponse<PageInfo<RenderWorkerEntity>> pageQuery(RenderWorkerReqQuery renderWorkerReqQuery);
    ApiResponse<List<RenderWorkerEntity>> list(RenderWorkerReqQuery renderWorkerReqQuery);
    ApiResponse<RenderWorkerEntity> detail(Long id);
    ApiResponse<Integer> add(RenderWorkerEntity renderWorker);
    ApiResponse<Integer> deleteById(Long id);
    ApiResponse<Integer> update(RenderWorkerEntity renderWorker);
    ApiResponse<Integer> updateStatus(Long id);
}
